Module javafx.graphics
Package javafx.print

# Enum Class Collation

java.lang.Object
java.lang.Enum<Collation>
javafx.print.Collation

All Implemented Interfaces:
  `Serializable`, `Comparable<Collation>`, `Constable`

public enum Collation extends Enum<Collation>
Collation specifies whether or not media sheets of each copy of a printed document in a job are to be in sequence. It has no effect or relevance unless multiple job copies are printed.

Since:
  JavaFX 8.0

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`COLLATED`
Each copy of a document is printed together.
`UNCOLLATED`
The same numbered pages are consecutive in the output, For example: 2 copies of a document with 2 pages is printed : Page 1, Page 1, Page 2, Page 2.

## Method Summary

Modifier and Type
Method
Description
`static Collation`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Collation[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### UNCOLLATED

public static final Collation UNCOLLATED
The same numbered pages are consecutive in the output, For example: 2 copies of a document with 2 pages is printed : Page 1, Page 1, Page 2, Page 2.

### COLLATED

public static final Collation COLLATED
Each copy of a document is printed together. FOr example: 2 copies of a document with 2 pages is printed : Page 1, Page 2, Page 1, Page 2.

## Method Details

### values

public static Collation[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Collation valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null